package api.common.pojo.po.model;

import lombok.Builder;

import java.math.BigDecimal;
import java.sql.Timestamp;
import java.util.List;

@Builder
public class VehiclePO {
    private String id;  //主键id
    private String vehicleName; //车辆名称
    private String description; //车辆描述
    private String vehicleType;    //车辆类型（字典代码）
    private String modelLabel;    //车辆模型标签
    private String share;    //是否分享
    private String parameterType;    // 1 vtd 2 carsim
    //* -------------------------------- vtd --------------------------------
    private String vehicleCode; //车辆编码
    private String vehicleFrontView;    //车辆前视图
    private String vehicleTopView;    //车辆俯视图
    private BigDecimal maxSpeed;    //最大速度（千米/小时）
    private BigDecimal enginePower;    //发动机功率（千瓦）
    private BigDecimal maxDeceleration;    //最大减速度（米/秒2）
    private BigDecimal maxSteeringAngle;    //最大转角（度）
    private BigDecimal mass;    //质量（千克）
    private BigDecimal frontSurfaceEffective;    //前表面有效面积（平方米）
    private BigDecimal airDragCoefficient;    //空气阻力系数
    private BigDecimal rollingResistanceCoefficient;    //滚动阻力系数
    private BigDecimal wheelDiameter;    //车轮直径（米）
    private String wheelDrive;    //驱动方式
    private BigDecimal overallEfficiency;    //总效率
    private BigDecimal frontDistance;    //车前距（米）
    private BigDecimal rearDistance;    //车后距（米）
    private BigDecimal leftDistance;    //车左距（米）
    private BigDecimal rightDistance;    //车右距（米）
    private BigDecimal heightDistance;    //车高（米）
    private BigDecimal wheelbase;    //轴距（米）
    //* -------------------------------- carsim --------------------------------
    private String wheelCenterToTop;//轮胎中心到车顶的高度
    private String wheelCenterToGround;//轮胎中心到地面的高度
    private String centroidToFrontWheelCenter;//质心到前轮中心
    private String centroidToGround;//质心到地面
    //    private String wheelbase;//轴距
    private String sprungMass;//簧上质量
    private String vehicleLength;//车辆长度 LEN_SM
    private String vehicleWidth;//车辆宽度
    private String rotationalInertiaX;//整车绕x轴转动惯量
    private String rotationalInertiaY;//整车绕y轴转动惯量
    private String rotationalInertiaZ;//整车绕z轴转动惯量

    private String frontLeftWheelEffectiveRollingRadius;//左前轮有效滚动半径
    private String frontLeftWheelRollingResistanceCoefficient;//左前轮滚动阻力系数
    private String frontLeftWheelFreeRadius;//左前轮自由半径
    private List<List<String>> frontLeftWheelRelationCurvePositiveMomentAndSideslipAngle;//左前轮不同载荷下正力矩和侧偏角关系曲线
    private String frontLeftWheelRelationCurvePositiveMomentAndSideslipAngleJson;//左前轮不同载荷下正力矩和侧偏角关系曲线
    private List<List<String>> frontLeftWheelRelationCurveLateralForceAndSideslipAngle;//左前轮不同载荷下侧向力和侧偏角关系曲线
    private String frontLeftWheelRelationCurveLateralForceAndSideslipAngleJson;//左前轮不同载荷下侧向力和侧偏角关系曲线
    private List<List<String>> frontLeftWheelRelationCurveLongitudinalForceAndSideslipAngle;//左前轮不同载荷下纵向力和侧偏角关系曲线
    private String frontLeftWheelRelationCurveLongitudinalForceAndSideslipAngleJson;//左前轮不同载荷下纵向力和侧偏角关系曲线

    private String rearLeftWheelEffectiveRollingRadius;//左前轮有效滚动半径
    private String rearLeftWheelRollingResistanceCoefficient;//左前轮滚动阻力系数
    private String rearLeftWheelFreeRadius;//左前轮自由半径
    private List<List<String>> rearLeftWheelRelationCurvePositiveMomentAndSideslipAngle;//左后轮不同载荷下正力矩和侧偏角关系曲线
    private String rearLeftWheelRelationCurvePositiveMomentAndSideslipAngleJson;//左后轮不同载荷下正力矩和侧偏角关系曲线
    private List<List<String>> rearLeftWheelRelationCurveLateralForceAndSideslipAngle;//左后轮不同载荷下侧向力和侧偏角关系曲线
    private String rearLeftWheelRelationCurveLateralForceAndSideslipAngleJson;//左后轮不同载荷下侧向力和侧偏角关系曲线
    private List<List<String>> rearLeftWheelRelationCurveLongitudinalForceAndSideslipAngle;//左后轮不同载荷下纵向力和侧偏角关系曲线
    private String rearLeftWheelRelationCurveLongitudinalForceAndSideslipAngleJson;//左后轮不同载荷下纵向力和侧偏角关系曲线

    private String frontRightWheelEffectiveRollingRadius;//右前轮有效滚动半径
    private String frontRightWheelRollingResistanceCoefficient;//右前轮滚动阻力系数
    private String frontRightWheelFreeRadius;//右前轮自由半径
    private List<List<String>> frontRightWheelRelationCurvePositiveMomentAndSideslipAngle;//右前轮不同载荷下正力矩和侧偏角关系曲线
    private String frontRightWheelRelationCurvePositiveMomentAndSideslipAngleJson;//右前轮不同载荷下正力矩和侧偏角关系曲线
    private List<List<String>> frontRightWheelRelationCurveLateralForceAndSideslipAngle;//右前轮不同载荷下侧向力和侧偏角关系曲线
    private String frontRightWheelRelationCurveLateralForceAndSideslipAngleJson;//右前轮不同载荷下侧向力和侧偏角关系曲线
    private List<List<String>> frontRightWheelRelationCurveLongitudinalForceAndSideslipAngle;//右前轮不同载荷下纵向力和侧偏角关系曲线
    private String frontRightWheelRelationCurveLongitudinalForceAndSideslipAngleJson;//右前轮不同载荷下纵向力和侧偏角关系曲线

    private String rearRightWheelEffectiveRollingRadius;//右后轮有效滚动半径
    private String rearRightWheelRollingResistanceCoefficient;//右后轮滚动阻力系数
    private String rearRightWheelFreeRadius;//右后轮自由半径
    private List<List<String>> rearRightWheelRelationCurvePositiveMomentAndSideslipAngle;//右后轮不同载荷下正力矩和侧偏角关系曲线
    private String rearRightWheelRelationCurvePositiveMomentAndSideslipAngleJson;//右后轮不同载荷下正力矩和侧偏角关系曲线
    private List<List<String>> rearRightWheelRelationCurveLateralForceAndSideslipAngle;//右后轮不同载荷下侧向力和侧偏角关系曲线
    private String rearRightWheelRelationCurveLateralForceAndSideslipAngleJson;//右后轮不同载荷下侧向力和侧偏角关系曲线
    private List<List<String>> rearRightWheelRelationCurveLongitudinalForceAndSideslipAngle;//右后轮不同载荷下纵向力和侧偏角关系曲线
    private String rearRightWheelRelationCurveLongitudinalForceAndSideslipAngleJson;//右后轮不同载荷下纵向力和侧偏角关系曲线

    private String frontWheelSuspensionType;//前轮悬架类型 1 独立悬架 2 非独立悬架
    private String frontWheelSuspensionKinematicsCoefficient;//前轮悬架运动学系数
    private String frontWheelUnsprungMass;//前轮簧下质量
    private String frontWheelTrackWidth;//前轮轮距
    private String rearWheelSuspensionType;//后轮悬架类型 1 独立悬架 2 非独立悬架
    private String rearWheelSuspensionKinematicsCoefficient;//后轮悬架运动学系数
    private String rearWheelUnsprungMass;//后轮簧下质量
    private String rearWheelTrackWidth;//后轮轮距
    private String windwardArea;//迎风面积
    private String airDensity;//空气密度
    private String engineCrankshaftMomentInertia;//发动机曲轴转动惯量
    private String idleSpeed;//怠速转速
    private List<List<String>> relationCurveEngineTorqueSpeedAndThrottleOpening;//发动机扭矩、转速和节气门开度关系曲线
    private String relationCurveEngineTorqueSpeedAndThrottleOpeningJson;//发动机扭矩、转速和节气门开度关系曲线
    private String momentInertiaInputShaft;//输入轴的转动惯量
    private String momentInertiaOutputShaft;//输出轴的转动惯量
    private String finalDriveRatio;//主减速器传动比
    private String transmissionEfficiency;//传动效率
    private List<String> gearRatio;//R,N,1,2,3,4,5,6
    private String gearRatioJson;//R,N,1,2,3,4,5,6
    private List<String> inertia;//R,N,1,2,3,4,5,6
    private String inertiaJson;//R,N,1,2,3,4,5,6
    private List<String> driving;//R,N,1,2,3,4,5,6
    private String drivingJson;//R,N,1,2,3,4,5,6
    private List<String> coasting;//R,N,1,2,3,4,5,6
    private String coastingJson;//R,N,1,2,3,4,5,6
    private String shiftTime;//换挡时间
    private List<List<String>> shiftTimeUp12;//
    private String shiftTimeUp12Json;//
    private List<List<String>> shiftTimeDown12;//
    private String shiftTimeDown12Json;//
    private List<List<String>> shiftTimeUp23;//
    private String shiftTimeUp23Json;//
    private List<List<String>> shiftTimeDown23;//
    private String shiftTimeDown23Json;//
    private List<List<String>> shiftTimeUp34;//
    private String shiftTimeUp34Json;//
    private List<List<String>> shiftTimeDown34;//
    private String shiftTimeDown34Json;//
    private List<List<String>> shiftTimeUp45;//
    private String shiftTimeUp45Json;//
    private List<List<String>> shiftTimeDown45;//
    private String shiftTimeDown45Json;//
    private List<List<String>> shiftTimeUp56;//
    private String shiftTimeUp56Json;//
    private List<List<String>> shiftTimeDown56;//
    private String shiftTimeDown56Json;//
    private String brakeType;//制动类型 1 前轮制动 2 后轮制动 3 四轮制动
    private String frontLeftWheelBrakingTorque;//左前轮制动力矩
    private String rearLeftWheelBrakingTorque;//左后轮制动力矩
    private String frontRightWheelBrakingTorque;//右前轮制动力矩
    private String rearRightWheelBrakingTorque;//右后轮制动力矩
    private String steeringType;//转向类型 1 前轮转向 2 后轮转向 3 四轮转向
    private String steeringGearType;//转向器类型 1 齿轮齿条转向器 2 循环球式转向器
    private String steeringGearRatio;//转向器传动比
    private List<List<String>> relationCurveRightWheelAngleAndSteeringGearOutput;//右轮转角与转向器输出的关系
    private String relationCurveRightWheelAngleAndSteeringGearOutputJson;//右轮转角与转向器输出的关系
    private List<List<String>> relationCurveLeftWheelAngleAndSteeringGearOutput;//左轮转角与转向器输出的关系
    private String relationCurveLeftWheelAngleAndSteeringGearOutputJson;//左轮转角与转向器输出的关系
    private String driverType;  // 驱动类型
    private String parFilePath;
    /**
     * 记录创建时间
     */
    public Timestamp createTime;
    /**
     * 记录最后更新时间（包括删除）
     */
    public Timestamp modifyTime;
    /**
     * 记录创建人（用户id）
     */
    public String createUserId;
    /**
     * 记录最后更新人（包括删除）（用户id）
     */
    public String modifyUserId;
    /**
     * 是否已删除
     */
    public String isDeleted;


    public VehiclePO() {
    }

    public VehiclePO(String id, String vehicleName, String description, String vehicleType, String modelLabel, String share, String parameterType, String vehicleCode, String vehicleFrontView, String vehicleTopView, BigDecimal maxSpeed, BigDecimal enginePower, BigDecimal maxDeceleration, BigDecimal maxSteeringAngle, BigDecimal mass, BigDecimal frontSurfaceEffective, BigDecimal airDragCoefficient, BigDecimal rollingResistanceCoefficient, BigDecimal wheelDiameter, String wheelDrive, BigDecimal overallEfficiency, BigDecimal frontDistance, BigDecimal rearDistance, BigDecimal leftDistance, BigDecimal rightDistance, BigDecimal heightDistance, BigDecimal wheelbase, String wheelCenterToTop, String wheelCenterToGround, String centroidToFrontWheelCenter, String centroidToGround, String sprungMass, String vehicleLength, String vehicleWidth, String rotationalInertiaX, String rotationalInertiaY, String rotationalInertiaZ, String frontLeftWheelEffectiveRollingRadius, String frontLeftWheelRollingResistanceCoefficient, String frontLeftWheelFreeRadius, List<List<String>> frontLeftWheelRelationCurvePositiveMomentAndSideslipAngle, String frontLeftWheelRelationCurvePositiveMomentAndSideslipAngleJson, List<List<String>> frontLeftWheelRelationCurveLateralForceAndSideslipAngle, String frontLeftWheelRelationCurveLateralForceAndSideslipAngleJson, List<List<String>> frontLeftWheelRelationCurveLongitudinalForceAndSideslipAngle, String frontLeftWheelRelationCurveLongitudinalForceAndSideslipAngleJson, String rearLeftWheelEffectiveRollingRadius, String rearLeftWheelRollingResistanceCoefficient, String rearLeftWheelFreeRadius, List<List<String>> rearLeftWheelRelationCurvePositiveMomentAndSideslipAngle, String rearLeftWheelRelationCurvePositiveMomentAndSideslipAngleJson, List<List<String>> rearLeftWheelRelationCurveLateralForceAndSideslipAngle, String rearLeftWheelRelationCurveLateralForceAndSideslipAngleJson, List<List<String>> rearLeftWheelRelationCurveLongitudinalForceAndSideslipAngle, String rearLeftWheelRelationCurveLongitudinalForceAndSideslipAngleJson, String frontRightWheelEffectiveRollingRadius, String frontRightWheelRollingResistanceCoefficient, String frontRightWheelFreeRadius, List<List<String>> frontRightWheelRelationCurvePositiveMomentAndSideslipAngle, String frontRightWheelRelationCurvePositiveMomentAndSideslipAngleJson, List<List<String>> frontRightWheelRelationCurveLateralForceAndSideslipAngle, String frontRightWheelRelationCurveLateralForceAndSideslipAngleJson, List<List<String>> frontRightWheelRelationCurveLongitudinalForceAndSideslipAngle, String frontRightWheelRelationCurveLongitudinalForceAndSideslipAngleJson, String rearRightWheelEffectiveRollingRadius, String rearRightWheelRollingResistanceCoefficient, String rearRightWheelFreeRadius, List<List<String>> rearRightWheelRelationCurvePositiveMomentAndSideslipAngle, String rearRightWheelRelationCurvePositiveMomentAndSideslipAngleJson, List<List<String>> rearRightWheelRelationCurveLateralForceAndSideslipAngle, String rearRightWheelRelationCurveLateralForceAndSideslipAngleJson, List<List<String>> rearRightWheelRelationCurveLongitudinalForceAndSideslipAngle, String rearRightWheelRelationCurveLongitudinalForceAndSideslipAngleJson, String frontWheelSuspensionType, String frontWheelSuspensionKinematicsCoefficient, String frontWheelUnsprungMass, String frontWheelTrackWidth, String rearWheelSuspensionType, String rearWheelSuspensionKinematicsCoefficient, String rearWheelUnsprungMass, String rearWheelTrackWidth, String windwardArea, String airDensity, String engineCrankshaftMomentInertia, String idleSpeed, List<List<String>> relationCurveEngineTorqueSpeedAndThrottleOpening, String relationCurveEngineTorqueSpeedAndThrottleOpeningJson, String momentInertiaInputShaft, String momentInertiaOutputShaft, String finalDriveRatio, String transmissionEfficiency, List<String> gearRatio, String gearRatioJson, List<String> inertia, String inertiaJson, List<String> driving, String drivingJson, List<String> coasting, String coastingJson, String shiftTime, List<List<String>> shiftTimeUp12, String shiftTimeUp12Json, List<List<String>> shiftTimeDown12, String shiftTimeDown12Json, List<List<String>> shiftTimeUp23, String shiftTimeUp23Json, List<List<String>> shiftTimeDown23, String shiftTimeDown23Json, List<List<String>> shiftTimeUp34, String shiftTimeUp34Json, List<List<String>> shiftTimeDown34, String shiftTimeDown34Json, List<List<String>> shiftTimeUp45, String shiftTimeUp45Json, List<List<String>> shiftTimeDown45, String shiftTimeDown45Json, List<List<String>> shiftTimeUp56, String shiftTimeUp56Json, List<List<String>> shiftTimeDown56, String shiftTimeDown56Json, String brakeType, String frontLeftWheelBrakingTorque, String rearLeftWheelBrakingTorque, String frontRightWheelBrakingTorque, String rearRightWheelBrakingTorque, String steeringType, String steeringGearType, String steeringGearRatio, List<List<String>> relationCurveRightWheelAngleAndSteeringGearOutput, String relationCurveRightWheelAngleAndSteeringGearOutputJson, List<List<String>> relationCurveLeftWheelAngleAndSteeringGearOutput, String relationCurveLeftWheelAngleAndSteeringGearOutputJson, String driverType, String parFilePath, Timestamp createTime, Timestamp modifyTime, String createUserId, String modifyUserId, String isDeleted) {
        this.id = id;
        this.vehicleName = vehicleName;
        this.description = description;
        this.vehicleType = vehicleType;
        this.modelLabel = modelLabel;
        this.share = share;
        this.parameterType = parameterType;
        this.vehicleCode = vehicleCode;
        this.vehicleFrontView = vehicleFrontView;
        this.vehicleTopView = vehicleTopView;
        this.maxSpeed = maxSpeed;
        this.enginePower = enginePower;
        this.maxDeceleration = maxDeceleration;
        this.maxSteeringAngle = maxSteeringAngle;
        this.mass = mass;
        this.frontSurfaceEffective = frontSurfaceEffective;
        this.airDragCoefficient = airDragCoefficient;
        this.rollingResistanceCoefficient = rollingResistanceCoefficient;
        this.wheelDiameter = wheelDiameter;
        this.wheelDrive = wheelDrive;
        this.overallEfficiency = overallEfficiency;
        this.frontDistance = frontDistance;
        this.rearDistance = rearDistance;
        this.leftDistance = leftDistance;
        this.rightDistance = rightDistance;
        this.heightDistance = heightDistance;
        this.wheelbase = wheelbase;
        this.wheelCenterToTop = wheelCenterToTop;
        this.wheelCenterToGround = wheelCenterToGround;
        this.centroidToFrontWheelCenter = centroidToFrontWheelCenter;
        this.centroidToGround = centroidToGround;
        this.sprungMass = sprungMass;
        this.vehicleLength = vehicleLength;
        this.vehicleWidth = vehicleWidth;
        this.rotationalInertiaX = rotationalInertiaX;
        this.rotationalInertiaY = rotationalInertiaY;
        this.rotationalInertiaZ = rotationalInertiaZ;
        this.frontLeftWheelEffectiveRollingRadius = frontLeftWheelEffectiveRollingRadius;
        this.frontLeftWheelRollingResistanceCoefficient = frontLeftWheelRollingResistanceCoefficient;
        this.frontLeftWheelFreeRadius = frontLeftWheelFreeRadius;
        this.frontLeftWheelRelationCurvePositiveMomentAndSideslipAngle = frontLeftWheelRelationCurvePositiveMomentAndSideslipAngle;
        this.frontLeftWheelRelationCurvePositiveMomentAndSideslipAngleJson = frontLeftWheelRelationCurvePositiveMomentAndSideslipAngleJson;
        this.frontLeftWheelRelationCurveLateralForceAndSideslipAngle = frontLeftWheelRelationCurveLateralForceAndSideslipAngle;
        this.frontLeftWheelRelationCurveLateralForceAndSideslipAngleJson = frontLeftWheelRelationCurveLateralForceAndSideslipAngleJson;
        this.frontLeftWheelRelationCurveLongitudinalForceAndSideslipAngle = frontLeftWheelRelationCurveLongitudinalForceAndSideslipAngle;
        this.frontLeftWheelRelationCurveLongitudinalForceAndSideslipAngleJson = frontLeftWheelRelationCurveLongitudinalForceAndSideslipAngleJson;
        this.rearLeftWheelEffectiveRollingRadius = rearLeftWheelEffectiveRollingRadius;
        this.rearLeftWheelRollingResistanceCoefficient = rearLeftWheelRollingResistanceCoefficient;
        this.rearLeftWheelFreeRadius = rearLeftWheelFreeRadius;
        this.rearLeftWheelRelationCurvePositiveMomentAndSideslipAngle = rearLeftWheelRelationCurvePositiveMomentAndSideslipAngle;
        this.rearLeftWheelRelationCurvePositiveMomentAndSideslipAngleJson = rearLeftWheelRelationCurvePositiveMomentAndSideslipAngleJson;
        this.rearLeftWheelRelationCurveLateralForceAndSideslipAngle = rearLeftWheelRelationCurveLateralForceAndSideslipAngle;
        this.rearLeftWheelRelationCurveLateralForceAndSideslipAngleJson = rearLeftWheelRelationCurveLateralForceAndSideslipAngleJson;
        this.rearLeftWheelRelationCurveLongitudinalForceAndSideslipAngle = rearLeftWheelRelationCurveLongitudinalForceAndSideslipAngle;
        this.rearLeftWheelRelationCurveLongitudinalForceAndSideslipAngleJson = rearLeftWheelRelationCurveLongitudinalForceAndSideslipAngleJson;
        this.frontRightWheelEffectiveRollingRadius = frontRightWheelEffectiveRollingRadius;
        this.frontRightWheelRollingResistanceCoefficient = frontRightWheelRollingResistanceCoefficient;
        this.frontRightWheelFreeRadius = frontRightWheelFreeRadius;
        this.frontRightWheelRelationCurvePositiveMomentAndSideslipAngle = frontRightWheelRelationCurvePositiveMomentAndSideslipAngle;
        this.frontRightWheelRelationCurvePositiveMomentAndSideslipAngleJson = frontRightWheelRelationCurvePositiveMomentAndSideslipAngleJson;
        this.frontRightWheelRelationCurveLateralForceAndSideslipAngle = frontRightWheelRelationCurveLateralForceAndSideslipAngle;
        this.frontRightWheelRelationCurveLateralForceAndSideslipAngleJson = frontRightWheelRelationCurveLateralForceAndSideslipAngleJson;
        this.frontRightWheelRelationCurveLongitudinalForceAndSideslipAngle = frontRightWheelRelationCurveLongitudinalForceAndSideslipAngle;
        this.frontRightWheelRelationCurveLongitudinalForceAndSideslipAngleJson = frontRightWheelRelationCurveLongitudinalForceAndSideslipAngleJson;
        this.rearRightWheelEffectiveRollingRadius = rearRightWheelEffectiveRollingRadius;
        this.rearRightWheelRollingResistanceCoefficient = rearRightWheelRollingResistanceCoefficient;
        this.rearRightWheelFreeRadius = rearRightWheelFreeRadius;
        this.rearRightWheelRelationCurvePositiveMomentAndSideslipAngle = rearRightWheelRelationCurvePositiveMomentAndSideslipAngle;
        this.rearRightWheelRelationCurvePositiveMomentAndSideslipAngleJson = rearRightWheelRelationCurvePositiveMomentAndSideslipAngleJson;
        this.rearRightWheelRelationCurveLateralForceAndSideslipAngle = rearRightWheelRelationCurveLateralForceAndSideslipAngle;
        this.rearRightWheelRelationCurveLateralForceAndSideslipAngleJson = rearRightWheelRelationCurveLateralForceAndSideslipAngleJson;
        this.rearRightWheelRelationCurveLongitudinalForceAndSideslipAngle = rearRightWheelRelationCurveLongitudinalForceAndSideslipAngle;
        this.rearRightWheelRelationCurveLongitudinalForceAndSideslipAngleJson = rearRightWheelRelationCurveLongitudinalForceAndSideslipAngleJson;
        this.frontWheelSuspensionType = frontWheelSuspensionType;
        this.frontWheelSuspensionKinematicsCoefficient = frontWheelSuspensionKinematicsCoefficient;
        this.frontWheelUnsprungMass = frontWheelUnsprungMass;
        this.frontWheelTrackWidth = frontWheelTrackWidth;
        this.rearWheelSuspensionType = rearWheelSuspensionType;
        this.rearWheelSuspensionKinematicsCoefficient = rearWheelSuspensionKinematicsCoefficient;
        this.rearWheelUnsprungMass = rearWheelUnsprungMass;
        this.rearWheelTrackWidth = rearWheelTrackWidth;
        this.windwardArea = windwardArea;
        this.airDensity = airDensity;
        this.engineCrankshaftMomentInertia = engineCrankshaftMomentInertia;
        this.idleSpeed = idleSpeed;
        this.relationCurveEngineTorqueSpeedAndThrottleOpening = relationCurveEngineTorqueSpeedAndThrottleOpening;
        this.relationCurveEngineTorqueSpeedAndThrottleOpeningJson = relationCurveEngineTorqueSpeedAndThrottleOpeningJson;
        this.momentInertiaInputShaft = momentInertiaInputShaft;
        this.momentInertiaOutputShaft = momentInertiaOutputShaft;
        this.finalDriveRatio = finalDriveRatio;
        this.transmissionEfficiency = transmissionEfficiency;
        this.gearRatio = gearRatio;
        this.gearRatioJson = gearRatioJson;
        this.inertia = inertia;
        this.inertiaJson = inertiaJson;
        this.driving = driving;
        this.drivingJson = drivingJson;
        this.coasting = coasting;
        this.coastingJson = coastingJson;
        this.shiftTime = shiftTime;
        this.shiftTimeUp12 = shiftTimeUp12;
        this.shiftTimeUp12Json = shiftTimeUp12Json;
        this.shiftTimeDown12 = shiftTimeDown12;
        this.shiftTimeDown12Json = shiftTimeDown12Json;
        this.shiftTimeUp23 = shiftTimeUp23;
        this.shiftTimeUp23Json = shiftTimeUp23Json;
        this.shiftTimeDown23 = shiftTimeDown23;
        this.shiftTimeDown23Json = shiftTimeDown23Json;
        this.shiftTimeUp34 = shiftTimeUp34;
        this.shiftTimeUp34Json = shiftTimeUp34Json;
        this.shiftTimeDown34 = shiftTimeDown34;
        this.shiftTimeDown34Json = shiftTimeDown34Json;
        this.shiftTimeUp45 = shiftTimeUp45;
        this.shiftTimeUp45Json = shiftTimeUp45Json;
        this.shiftTimeDown45 = shiftTimeDown45;
        this.shiftTimeDown45Json = shiftTimeDown45Json;
        this.shiftTimeUp56 = shiftTimeUp56;
        this.shiftTimeUp56Json = shiftTimeUp56Json;
        this.shiftTimeDown56 = shiftTimeDown56;
        this.shiftTimeDown56Json = shiftTimeDown56Json;
        this.brakeType = brakeType;
        this.frontLeftWheelBrakingTorque = frontLeftWheelBrakingTorque;
        this.rearLeftWheelBrakingTorque = rearLeftWheelBrakingTorque;
        this.frontRightWheelBrakingTorque = frontRightWheelBrakingTorque;
        this.rearRightWheelBrakingTorque = rearRightWheelBrakingTorque;
        this.steeringType = steeringType;
        this.steeringGearType = steeringGearType;
        this.steeringGearRatio = steeringGearRatio;
        this.relationCurveRightWheelAngleAndSteeringGearOutput = relationCurveRightWheelAngleAndSteeringGearOutput;
        this.relationCurveRightWheelAngleAndSteeringGearOutputJson = relationCurveRightWheelAngleAndSteeringGearOutputJson;
        this.relationCurveLeftWheelAngleAndSteeringGearOutput = relationCurveLeftWheelAngleAndSteeringGearOutput;
        this.relationCurveLeftWheelAngleAndSteeringGearOutputJson = relationCurveLeftWheelAngleAndSteeringGearOutputJson;
        this.driverType = driverType;
        this.parFilePath = parFilePath;
        this.createTime = createTime;
        this.modifyTime = modifyTime;
        this.createUserId = createUserId;
        this.modifyUserId = modifyUserId;
        this.isDeleted = isDeleted;
    }

    public Timestamp getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Timestamp createTime) {
        this.createTime = createTime;
    }

    public Timestamp getModifyTime() {
        return modifyTime;
    }

    public void setModifyTime(Timestamp modifyTime) {
        this.modifyTime = modifyTime;
    }

    public String getCreateUserId() {
        return createUserId;
    }

    public void setCreateUserId(String createUserId) {
        this.createUserId = createUserId;
    }

    public String getModifyUserId() {
        return modifyUserId;
    }

    public void setModifyUserId(String modifyUserId) {
        this.modifyUserId = modifyUserId;
    }

    public String getIsDeleted() {
        return isDeleted;
    }

    public void setIsDeleted(String isDeleted) {
        this.isDeleted = isDeleted;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getVehicleName() {
        return vehicleName;
    }

    public void setVehicleName(String vehicleName) {
        this.vehicleName = vehicleName;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getVehicleType() {
        return vehicleType;
    }

    public void setVehicleType(String vehicleType) {
        this.vehicleType = vehicleType;
    }

    public String getModelLabel() {
        return modelLabel;
    }

    public void setModelLabel(String modelLabel) {
        this.modelLabel = modelLabel;
    }

    public String getShare() {
        return share;
    }

    public void setShare(String share) {
        this.share = share;
    }

    public String getParameterType() {
        return parameterType;
    }

    public void setParameterType(String parameterType) {
        this.parameterType = parameterType;
    }

    public String getVehicleCode() {
        return vehicleCode;
    }

    public void setVehicleCode(String vehicleCode) {
        this.vehicleCode = vehicleCode;
    }

    public String getVehicleFrontView() {
        return vehicleFrontView;
    }

    public void setVehicleFrontView(String vehicleFrontView) {
        this.vehicleFrontView = vehicleFrontView;
    }

    public String getVehicleTopView() {
        return vehicleTopView;
    }

    public void setVehicleTopView(String vehicleTopView) {
        this.vehicleTopView = vehicleTopView;
    }

    public BigDecimal getMaxSpeed() {
        return maxSpeed;
    }

    public void setMaxSpeed(BigDecimal maxSpeed) {
        this.maxSpeed = maxSpeed;
    }

    public BigDecimal getEnginePower() {
        return enginePower;
    }

    public void setEnginePower(BigDecimal enginePower) {
        this.enginePower = enginePower;
    }

    public BigDecimal getMaxDeceleration() {
        return maxDeceleration;
    }

    public void setMaxDeceleration(BigDecimal maxDeceleration) {
        this.maxDeceleration = maxDeceleration;
    }

    public BigDecimal getMaxSteeringAngle() {
        return maxSteeringAngle;
    }

    public void setMaxSteeringAngle(BigDecimal maxSteeringAngle) {
        this.maxSteeringAngle = maxSteeringAngle;
    }

    public BigDecimal getMass() {
        return mass;
    }

    public void setMass(BigDecimal mass) {
        this.mass = mass;
    }

    public BigDecimal getFrontSurfaceEffective() {
        return frontSurfaceEffective;
    }

    public void setFrontSurfaceEffective(BigDecimal frontSurfaceEffective) {
        this.frontSurfaceEffective = frontSurfaceEffective;
    }

    public BigDecimal getAirDragCoefficient() {
        return airDragCoefficient;
    }

    public void setAirDragCoefficient(BigDecimal airDragCoefficient) {
        this.airDragCoefficient = airDragCoefficient;
    }

    public BigDecimal getRollingResistanceCoefficient() {
        return rollingResistanceCoefficient;
    }

    public void setRollingResistanceCoefficient(BigDecimal rollingResistanceCoefficient) {
        this.rollingResistanceCoefficient = rollingResistanceCoefficient;
    }

    public BigDecimal getWheelDiameter() {
        return wheelDiameter;
    }

    public void setWheelDiameter(BigDecimal wheelDiameter) {
        this.wheelDiameter = wheelDiameter;
    }

    public String getWheelDrive() {
        return wheelDrive;
    }

    public void setWheelDrive(String wheelDrive) {
        this.wheelDrive = wheelDrive;
    }

    public BigDecimal getOverallEfficiency() {
        return overallEfficiency;
    }

    public void setOverallEfficiency(BigDecimal overallEfficiency) {
        this.overallEfficiency = overallEfficiency;
    }

    public BigDecimal getFrontDistance() {
        return frontDistance;
    }

    public void setFrontDistance(BigDecimal frontDistance) {
        this.frontDistance = frontDistance;
    }

    public BigDecimal getRearDistance() {
        return rearDistance;
    }

    public void setRearDistance(BigDecimal rearDistance) {
        this.rearDistance = rearDistance;
    }

    public BigDecimal getLeftDistance() {
        return leftDistance;
    }

    public void setLeftDistance(BigDecimal leftDistance) {
        this.leftDistance = leftDistance;
    }

    public BigDecimal getRightDistance() {
        return rightDistance;
    }

    public void setRightDistance(BigDecimal rightDistance) {
        this.rightDistance = rightDistance;
    }

    public BigDecimal getHeightDistance() {
        return heightDistance;
    }

    public void setHeightDistance(BigDecimal heightDistance) {
        this.heightDistance = heightDistance;
    }

    public BigDecimal getWheelbase() {
        return wheelbase;
    }

    public void setWheelbase(BigDecimal wheelbase) {
        this.wheelbase = wheelbase;
    }

    public String getWheelCenterToTop() {
        return wheelCenterToTop;
    }

    public void setWheelCenterToTop(String wheelCenterToTop) {
        this.wheelCenterToTop = wheelCenterToTop;
    }

    public String getWheelCenterToGround() {
        return wheelCenterToGround;
    }

    public void setWheelCenterToGround(String wheelCenterToGround) {
        this.wheelCenterToGround = wheelCenterToGround;
    }

    public String getCentroidToFrontWheelCenter() {
        return centroidToFrontWheelCenter;
    }

    public void setCentroidToFrontWheelCenter(String centroidToFrontWheelCenter) {
        this.centroidToFrontWheelCenter = centroidToFrontWheelCenter;
    }

    public String getCentroidToGround() {
        return centroidToGround;
    }

    public void setCentroidToGround(String centroidToGround) {
        this.centroidToGround = centroidToGround;
    }

    public String getSprungMass() {
        return sprungMass;
    }

    public void setSprungMass(String sprungMass) {
        this.sprungMass = sprungMass;
    }

    public String getVehicleLength() {
        return vehicleLength;
    }

    public void setVehicleLength(String vehicleLength) {
        this.vehicleLength = vehicleLength;
    }

    public String getVehicleWidth() {
        return vehicleWidth;
    }

    public void setVehicleWidth(String vehicleWidth) {
        this.vehicleWidth = vehicleWidth;
    }

    public String getRotationalInertiaX() {
        return rotationalInertiaX;
    }

    public void setRotationalInertiaX(String rotationalInertiaX) {
        this.rotationalInertiaX = rotationalInertiaX;
    }

    public String getRotationalInertiaY() {
        return rotationalInertiaY;
    }

    public void setRotationalInertiaY(String rotationalInertiaY) {
        this.rotationalInertiaY = rotationalInertiaY;
    }

    public String getRotationalInertiaZ() {
        return rotationalInertiaZ;
    }

    public void setRotationalInertiaZ(String rotationalInertiaZ) {
        this.rotationalInertiaZ = rotationalInertiaZ;
    }

    public String getFrontLeftWheelEffectiveRollingRadius() {
        return frontLeftWheelEffectiveRollingRadius;
    }

    public void setFrontLeftWheelEffectiveRollingRadius(String frontLeftWheelEffectiveRollingRadius) {
        this.frontLeftWheelEffectiveRollingRadius = frontLeftWheelEffectiveRollingRadius;
    }

    public String getFrontLeftWheelRollingResistanceCoefficient() {
        return frontLeftWheelRollingResistanceCoefficient;
    }

    public void setFrontLeftWheelRollingResistanceCoefficient(String frontLeftWheelRollingResistanceCoefficient) {
        this.frontLeftWheelRollingResistanceCoefficient = frontLeftWheelRollingResistanceCoefficient;
    }

    public String getFrontLeftWheelFreeRadius() {
        return frontLeftWheelFreeRadius;
    }

    public void setFrontLeftWheelFreeRadius(String frontLeftWheelFreeRadius) {
        this.frontLeftWheelFreeRadius = frontLeftWheelFreeRadius;
    }

    public List<List<String>> getFrontLeftWheelRelationCurvePositiveMomentAndSideslipAngle() {
        return frontLeftWheelRelationCurvePositiveMomentAndSideslipAngle;
    }

    public void setFrontLeftWheelRelationCurvePositiveMomentAndSideslipAngle(List<List<String>> frontLeftWheelRelationCurvePositiveMomentAndSideslipAngle) {
        this.frontLeftWheelRelationCurvePositiveMomentAndSideslipAngle = frontLeftWheelRelationCurvePositiveMomentAndSideslipAngle;
    }

    public String getFrontLeftWheelRelationCurvePositiveMomentAndSideslipAngleJson() {
        return frontLeftWheelRelationCurvePositiveMomentAndSideslipAngleJson;
    }

    public void setFrontLeftWheelRelationCurvePositiveMomentAndSideslipAngleJson(String frontLeftWheelRelationCurvePositiveMomentAndSideslipAngleJson) {
        this.frontLeftWheelRelationCurvePositiveMomentAndSideslipAngleJson = frontLeftWheelRelationCurvePositiveMomentAndSideslipAngleJson;
    }

    public List<List<String>> getFrontLeftWheelRelationCurveLateralForceAndSideslipAngle() {
        return frontLeftWheelRelationCurveLateralForceAndSideslipAngle;
    }

    public void setFrontLeftWheelRelationCurveLateralForceAndSideslipAngle(List<List<String>> frontLeftWheelRelationCurveLateralForceAndSideslipAngle) {
        this.frontLeftWheelRelationCurveLateralForceAndSideslipAngle = frontLeftWheelRelationCurveLateralForceAndSideslipAngle;
    }

    public String getFrontLeftWheelRelationCurveLateralForceAndSideslipAngleJson() {
        return frontLeftWheelRelationCurveLateralForceAndSideslipAngleJson;
    }

    public void setFrontLeftWheelRelationCurveLateralForceAndSideslipAngleJson(String frontLeftWheelRelationCurveLateralForceAndSideslipAngleJson) {
        this.frontLeftWheelRelationCurveLateralForceAndSideslipAngleJson = frontLeftWheelRelationCurveLateralForceAndSideslipAngleJson;
    }

    public List<List<String>> getFrontLeftWheelRelationCurveLongitudinalForceAndSideslipAngle() {
        return frontLeftWheelRelationCurveLongitudinalForceAndSideslipAngle;
    }

    public void setFrontLeftWheelRelationCurveLongitudinalForceAndSideslipAngle(List<List<String>> frontLeftWheelRelationCurveLongitudinalForceAndSideslipAngle) {
        this.frontLeftWheelRelationCurveLongitudinalForceAndSideslipAngle = frontLeftWheelRelationCurveLongitudinalForceAndSideslipAngle;
    }

    public String getFrontLeftWheelRelationCurveLongitudinalForceAndSideslipAngleJson() {
        return frontLeftWheelRelationCurveLongitudinalForceAndSideslipAngleJson;
    }

    public void setFrontLeftWheelRelationCurveLongitudinalForceAndSideslipAngleJson(String frontLeftWheelRelationCurveLongitudinalForceAndSideslipAngleJson) {
        this.frontLeftWheelRelationCurveLongitudinalForceAndSideslipAngleJson = frontLeftWheelRelationCurveLongitudinalForceAndSideslipAngleJson;
    }

    public String getRearLeftWheelEffectiveRollingRadius() {
        return rearLeftWheelEffectiveRollingRadius;
    }

    public void setRearLeftWheelEffectiveRollingRadius(String rearLeftWheelEffectiveRollingRadius) {
        this.rearLeftWheelEffectiveRollingRadius = rearLeftWheelEffectiveRollingRadius;
    }

    public String getRearLeftWheelRollingResistanceCoefficient() {
        return rearLeftWheelRollingResistanceCoefficient;
    }

    public void setRearLeftWheelRollingResistanceCoefficient(String rearLeftWheelRollingResistanceCoefficient) {
        this.rearLeftWheelRollingResistanceCoefficient = rearLeftWheelRollingResistanceCoefficient;
    }

    public String getRearLeftWheelFreeRadius() {
        return rearLeftWheelFreeRadius;
    }

    public void setRearLeftWheelFreeRadius(String rearLeftWheelFreeRadius) {
        this.rearLeftWheelFreeRadius = rearLeftWheelFreeRadius;
    }

    public List<List<String>> getRearLeftWheelRelationCurvePositiveMomentAndSideslipAngle() {
        return rearLeftWheelRelationCurvePositiveMomentAndSideslipAngle;
    }

    public void setRearLeftWheelRelationCurvePositiveMomentAndSideslipAngle(List<List<String>> rearLeftWheelRelationCurvePositiveMomentAndSideslipAngle) {
        this.rearLeftWheelRelationCurvePositiveMomentAndSideslipAngle = rearLeftWheelRelationCurvePositiveMomentAndSideslipAngle;
    }

    public String getRearLeftWheelRelationCurvePositiveMomentAndSideslipAngleJson() {
        return rearLeftWheelRelationCurvePositiveMomentAndSideslipAngleJson;
    }

    public void setRearLeftWheelRelationCurvePositiveMomentAndSideslipAngleJson(String rearLeftWheelRelationCurvePositiveMomentAndSideslipAngleJson) {
        this.rearLeftWheelRelationCurvePositiveMomentAndSideslipAngleJson = rearLeftWheelRelationCurvePositiveMomentAndSideslipAngleJson;
    }

    public List<List<String>> getRearLeftWheelRelationCurveLateralForceAndSideslipAngle() {
        return rearLeftWheelRelationCurveLateralForceAndSideslipAngle;
    }

    public void setRearLeftWheelRelationCurveLateralForceAndSideslipAngle(List<List<String>> rearLeftWheelRelationCurveLateralForceAndSideslipAngle) {
        this.rearLeftWheelRelationCurveLateralForceAndSideslipAngle = rearLeftWheelRelationCurveLateralForceAndSideslipAngle;
    }

    public String getRearLeftWheelRelationCurveLateralForceAndSideslipAngleJson() {
        return rearLeftWheelRelationCurveLateralForceAndSideslipAngleJson;
    }

    public void setRearLeftWheelRelationCurveLateralForceAndSideslipAngleJson(String rearLeftWheelRelationCurveLateralForceAndSideslipAngleJson) {
        this.rearLeftWheelRelationCurveLateralForceAndSideslipAngleJson = rearLeftWheelRelationCurveLateralForceAndSideslipAngleJson;
    }

    public List<List<String>> getRearLeftWheelRelationCurveLongitudinalForceAndSideslipAngle() {
        return rearLeftWheelRelationCurveLongitudinalForceAndSideslipAngle;
    }

    public void setRearLeftWheelRelationCurveLongitudinalForceAndSideslipAngle(List<List<String>> rearLeftWheelRelationCurveLongitudinalForceAndSideslipAngle) {
        this.rearLeftWheelRelationCurveLongitudinalForceAndSideslipAngle = rearLeftWheelRelationCurveLongitudinalForceAndSideslipAngle;
    }

    public String getRearLeftWheelRelationCurveLongitudinalForceAndSideslipAngleJson() {
        return rearLeftWheelRelationCurveLongitudinalForceAndSideslipAngleJson;
    }

    public void setRearLeftWheelRelationCurveLongitudinalForceAndSideslipAngleJson(String rearLeftWheelRelationCurveLongitudinalForceAndSideslipAngleJson) {
        this.rearLeftWheelRelationCurveLongitudinalForceAndSideslipAngleJson = rearLeftWheelRelationCurveLongitudinalForceAndSideslipAngleJson;
    }

    public String getFrontRightWheelEffectiveRollingRadius() {
        return frontRightWheelEffectiveRollingRadius;
    }

    public void setFrontRightWheelEffectiveRollingRadius(String frontRightWheelEffectiveRollingRadius) {
        this.frontRightWheelEffectiveRollingRadius = frontRightWheelEffectiveRollingRadius;
    }

    public String getFrontRightWheelRollingResistanceCoefficient() {
        return frontRightWheelRollingResistanceCoefficient;
    }

    public void setFrontRightWheelRollingResistanceCoefficient(String frontRightWheelRollingResistanceCoefficient) {
        this.frontRightWheelRollingResistanceCoefficient = frontRightWheelRollingResistanceCoefficient;
    }

    public String getFrontRightWheelFreeRadius() {
        return frontRightWheelFreeRadius;
    }

    public void setFrontRightWheelFreeRadius(String frontRightWheelFreeRadius) {
        this.frontRightWheelFreeRadius = frontRightWheelFreeRadius;
    }

    public List<List<String>> getFrontRightWheelRelationCurvePositiveMomentAndSideslipAngle() {
        return frontRightWheelRelationCurvePositiveMomentAndSideslipAngle;
    }

    public void setFrontRightWheelRelationCurvePositiveMomentAndSideslipAngle(List<List<String>> frontRightWheelRelationCurvePositiveMomentAndSideslipAngle) {
        this.frontRightWheelRelationCurvePositiveMomentAndSideslipAngle = frontRightWheelRelationCurvePositiveMomentAndSideslipAngle;
    }

    public String getFrontRightWheelRelationCurvePositiveMomentAndSideslipAngleJson() {
        return frontRightWheelRelationCurvePositiveMomentAndSideslipAngleJson;
    }

    public void setFrontRightWheelRelationCurvePositiveMomentAndSideslipAngleJson(String frontRightWheelRelationCurvePositiveMomentAndSideslipAngleJson) {
        this.frontRightWheelRelationCurvePositiveMomentAndSideslipAngleJson = frontRightWheelRelationCurvePositiveMomentAndSideslipAngleJson;
    }

    public List<List<String>> getFrontRightWheelRelationCurveLateralForceAndSideslipAngle() {
        return frontRightWheelRelationCurveLateralForceAndSideslipAngle;
    }

    public void setFrontRightWheelRelationCurveLateralForceAndSideslipAngle(List<List<String>> frontRightWheelRelationCurveLateralForceAndSideslipAngle) {
        this.frontRightWheelRelationCurveLateralForceAndSideslipAngle = frontRightWheelRelationCurveLateralForceAndSideslipAngle;
    }

    public String getFrontRightWheelRelationCurveLateralForceAndSideslipAngleJson() {
        return frontRightWheelRelationCurveLateralForceAndSideslipAngleJson;
    }

    public void setFrontRightWheelRelationCurveLateralForceAndSideslipAngleJson(String frontRightWheelRelationCurveLateralForceAndSideslipAngleJson) {
        this.frontRightWheelRelationCurveLateralForceAndSideslipAngleJson = frontRightWheelRelationCurveLateralForceAndSideslipAngleJson;
    }

    public List<List<String>> getFrontRightWheelRelationCurveLongitudinalForceAndSideslipAngle() {
        return frontRightWheelRelationCurveLongitudinalForceAndSideslipAngle;
    }

    public void setFrontRightWheelRelationCurveLongitudinalForceAndSideslipAngle(List<List<String>> frontRightWheelRelationCurveLongitudinalForceAndSideslipAngle) {
        this.frontRightWheelRelationCurveLongitudinalForceAndSideslipAngle = frontRightWheelRelationCurveLongitudinalForceAndSideslipAngle;
    }

    public String getFrontRightWheelRelationCurveLongitudinalForceAndSideslipAngleJson() {
        return frontRightWheelRelationCurveLongitudinalForceAndSideslipAngleJson;
    }

    public void setFrontRightWheelRelationCurveLongitudinalForceAndSideslipAngleJson(String frontRightWheelRelationCurveLongitudinalForceAndSideslipAngleJson) {
        this.frontRightWheelRelationCurveLongitudinalForceAndSideslipAngleJson = frontRightWheelRelationCurveLongitudinalForceAndSideslipAngleJson;
    }

    public String getRearRightWheelEffectiveRollingRadius() {
        return rearRightWheelEffectiveRollingRadius;
    }

    public void setRearRightWheelEffectiveRollingRadius(String rearRightWheelEffectiveRollingRadius) {
        this.rearRightWheelEffectiveRollingRadius = rearRightWheelEffectiveRollingRadius;
    }

    public String getRearRightWheelRollingResistanceCoefficient() {
        return rearRightWheelRollingResistanceCoefficient;
    }

    public void setRearRightWheelRollingResistanceCoefficient(String rearRightWheelRollingResistanceCoefficient) {
        this.rearRightWheelRollingResistanceCoefficient = rearRightWheelRollingResistanceCoefficient;
    }

    public String getRearRightWheelFreeRadius() {
        return rearRightWheelFreeRadius;
    }

    public void setRearRightWheelFreeRadius(String rearRightWheelFreeRadius) {
        this.rearRightWheelFreeRadius = rearRightWheelFreeRadius;
    }

    public List<List<String>> getRearRightWheelRelationCurvePositiveMomentAndSideslipAngle() {
        return rearRightWheelRelationCurvePositiveMomentAndSideslipAngle;
    }

    public void setRearRightWheelRelationCurvePositiveMomentAndSideslipAngle(List<List<String>> rearRightWheelRelationCurvePositiveMomentAndSideslipAngle) {
        this.rearRightWheelRelationCurvePositiveMomentAndSideslipAngle = rearRightWheelRelationCurvePositiveMomentAndSideslipAngle;
    }

    public String getRearRightWheelRelationCurvePositiveMomentAndSideslipAngleJson() {
        return rearRightWheelRelationCurvePositiveMomentAndSideslipAngleJson;
    }

    public void setRearRightWheelRelationCurvePositiveMomentAndSideslipAngleJson(String rearRightWheelRelationCurvePositiveMomentAndSideslipAngleJson) {
        this.rearRightWheelRelationCurvePositiveMomentAndSideslipAngleJson = rearRightWheelRelationCurvePositiveMomentAndSideslipAngleJson;
    }

    public List<List<String>> getRearRightWheelRelationCurveLateralForceAndSideslipAngle() {
        return rearRightWheelRelationCurveLateralForceAndSideslipAngle;
    }

    public void setRearRightWheelRelationCurveLateralForceAndSideslipAngle(List<List<String>> rearRightWheelRelationCurveLateralForceAndSideslipAngle) {
        this.rearRightWheelRelationCurveLateralForceAndSideslipAngle = rearRightWheelRelationCurveLateralForceAndSideslipAngle;
    }

    public String getRearRightWheelRelationCurveLateralForceAndSideslipAngleJson() {
        return rearRightWheelRelationCurveLateralForceAndSideslipAngleJson;
    }

    public void setRearRightWheelRelationCurveLateralForceAndSideslipAngleJson(String rearRightWheelRelationCurveLateralForceAndSideslipAngleJson) {
        this.rearRightWheelRelationCurveLateralForceAndSideslipAngleJson = rearRightWheelRelationCurveLateralForceAndSideslipAngleJson;
    }

    public List<List<String>> getRearRightWheelRelationCurveLongitudinalForceAndSideslipAngle() {
        return rearRightWheelRelationCurveLongitudinalForceAndSideslipAngle;
    }

    public void setRearRightWheelRelationCurveLongitudinalForceAndSideslipAngle(List<List<String>> rearRightWheelRelationCurveLongitudinalForceAndSideslipAngle) {
        this.rearRightWheelRelationCurveLongitudinalForceAndSideslipAngle = rearRightWheelRelationCurveLongitudinalForceAndSideslipAngle;
    }

    public String getRearRightWheelRelationCurveLongitudinalForceAndSideslipAngleJson() {
        return rearRightWheelRelationCurveLongitudinalForceAndSideslipAngleJson;
    }

    public void setRearRightWheelRelationCurveLongitudinalForceAndSideslipAngleJson(String rearRightWheelRelationCurveLongitudinalForceAndSideslipAngleJson) {
        this.rearRightWheelRelationCurveLongitudinalForceAndSideslipAngleJson = rearRightWheelRelationCurveLongitudinalForceAndSideslipAngleJson;
    }

    public String getFrontWheelSuspensionType() {
        return frontWheelSuspensionType;
    }

    public void setFrontWheelSuspensionType(String frontWheelSuspensionType) {
        this.frontWheelSuspensionType = frontWheelSuspensionType;
    }

    public String getFrontWheelSuspensionKinematicsCoefficient() {
        return frontWheelSuspensionKinematicsCoefficient;
    }

    public void setFrontWheelSuspensionKinematicsCoefficient(String frontWheelSuspensionKinematicsCoefficient) {
        this.frontWheelSuspensionKinematicsCoefficient = frontWheelSuspensionKinematicsCoefficient;
    }

    public String getFrontWheelUnsprungMass() {
        return frontWheelUnsprungMass;
    }

    public void setFrontWheelUnsprungMass(String frontWheelUnsprungMass) {
        this.frontWheelUnsprungMass = frontWheelUnsprungMass;
    }

    public String getFrontWheelTrackWidth() {
        return frontWheelTrackWidth;
    }

    public void setFrontWheelTrackWidth(String frontWheelTrackWidth) {
        this.frontWheelTrackWidth = frontWheelTrackWidth;
    }

    public String getRearWheelSuspensionType() {
        return rearWheelSuspensionType;
    }

    public void setRearWheelSuspensionType(String rearWheelSuspensionType) {
        this.rearWheelSuspensionType = rearWheelSuspensionType;
    }

    public String getRearWheelSuspensionKinematicsCoefficient() {
        return rearWheelSuspensionKinematicsCoefficient;
    }

    public void setRearWheelSuspensionKinematicsCoefficient(String rearWheelSuspensionKinematicsCoefficient) {
        this.rearWheelSuspensionKinematicsCoefficient = rearWheelSuspensionKinematicsCoefficient;
    }

    public String getRearWheelUnsprungMass() {
        return rearWheelUnsprungMass;
    }

    public void setRearWheelUnsprungMass(String rearWheelUnsprungMass) {
        this.rearWheelUnsprungMass = rearWheelUnsprungMass;
    }

    public String getRearWheelTrackWidth() {
        return rearWheelTrackWidth;
    }

    public void setRearWheelTrackWidth(String rearWheelTrackWidth) {
        this.rearWheelTrackWidth = rearWheelTrackWidth;
    }

    public String getWindwardArea() {
        return windwardArea;
    }

    public void setWindwardArea(String windwardArea) {
        this.windwardArea = windwardArea;
    }

    public String getAirDensity() {
        return airDensity;
    }

    public void setAirDensity(String airDensity) {
        this.airDensity = airDensity;
    }

    public String getEngineCrankshaftMomentInertia() {
        return engineCrankshaftMomentInertia;
    }

    public void setEngineCrankshaftMomentInertia(String engineCrankshaftMomentInertia) {
        this.engineCrankshaftMomentInertia = engineCrankshaftMomentInertia;
    }

    public String getIdleSpeed() {
        return idleSpeed;
    }

    public void setIdleSpeed(String idleSpeed) {
        this.idleSpeed = idleSpeed;
    }

    public List<List<String>> getRelationCurveEngineTorqueSpeedAndThrottleOpening() {
        return relationCurveEngineTorqueSpeedAndThrottleOpening;
    }

    public void setRelationCurveEngineTorqueSpeedAndThrottleOpening(List<List<String>> relationCurveEngineTorqueSpeedAndThrottleOpening) {
        this.relationCurveEngineTorqueSpeedAndThrottleOpening = relationCurveEngineTorqueSpeedAndThrottleOpening;
    }

    public String getRelationCurveEngineTorqueSpeedAndThrottleOpeningJson() {
        return relationCurveEngineTorqueSpeedAndThrottleOpeningJson;
    }

    public void setRelationCurveEngineTorqueSpeedAndThrottleOpeningJson(String relationCurveEngineTorqueSpeedAndThrottleOpeningJson) {
        this.relationCurveEngineTorqueSpeedAndThrottleOpeningJson = relationCurveEngineTorqueSpeedAndThrottleOpeningJson;
    }

    public String getMomentInertiaInputShaft() {
        return momentInertiaInputShaft;
    }

    public void setMomentInertiaInputShaft(String momentInertiaInputShaft) {
        this.momentInertiaInputShaft = momentInertiaInputShaft;
    }

    public String getMomentInertiaOutputShaft() {
        return momentInertiaOutputShaft;
    }

    public void setMomentInertiaOutputShaft(String momentInertiaOutputShaft) {
        this.momentInertiaOutputShaft = momentInertiaOutputShaft;
    }

    public String getFinalDriveRatio() {
        return finalDriveRatio;
    }

    public void setFinalDriveRatio(String finalDriveRatio) {
        this.finalDriveRatio = finalDriveRatio;
    }

    public String getTransmissionEfficiency() {
        return transmissionEfficiency;
    }

    public void setTransmissionEfficiency(String transmissionEfficiency) {
        this.transmissionEfficiency = transmissionEfficiency;
    }

    public List<String> getGearRatio() {
        return gearRatio;
    }

    public void setGearRatio(List<String> gearRatio) {
        this.gearRatio = gearRatio;
    }

    public String getGearRatioJson() {
        return gearRatioJson;
    }

    public void setGearRatioJson(String gearRatioJson) {
        this.gearRatioJson = gearRatioJson;
    }

    public List<String> getInertia() {
        return inertia;
    }

    public void setInertia(List<String> inertia) {
        this.inertia = inertia;
    }

    public String getInertiaJson() {
        return inertiaJson;
    }

    public void setInertiaJson(String inertiaJson) {
        this.inertiaJson = inertiaJson;
    }

    public List<String> getDriving() {
        return driving;
    }

    public void setDriving(List<String> driving) {
        this.driving = driving;
    }

    public String getDrivingJson() {
        return drivingJson;
    }

    public void setDrivingJson(String drivingJson) {
        this.drivingJson = drivingJson;
    }

    public List<String> getCoasting() {
        return coasting;
    }

    public void setCoasting(List<String> coasting) {
        this.coasting = coasting;
    }

    public String getCoastingJson() {
        return coastingJson;
    }

    public void setCoastingJson(String coastingJson) {
        this.coastingJson = coastingJson;
    }

    public String getShiftTime() {
        return shiftTime;
    }

    public void setShiftTime(String shiftTime) {
        this.shiftTime = shiftTime;
    }

    public List<List<String>> getShiftTimeUp12() {
        return shiftTimeUp12;
    }

    public void setShiftTimeUp12(List<List<String>> shiftTimeUp12) {
        this.shiftTimeUp12 = shiftTimeUp12;
    }

    public String getShiftTimeUp12Json() {
        return shiftTimeUp12Json;
    }

    public void setShiftTimeUp12Json(String shiftTimeUp12Json) {
        this.shiftTimeUp12Json = shiftTimeUp12Json;
    }

    public List<List<String>> getShiftTimeDown12() {
        return shiftTimeDown12;
    }

    public void setShiftTimeDown12(List<List<String>> shiftTimeDown12) {
        this.shiftTimeDown12 = shiftTimeDown12;
    }

    public String getShiftTimeDown12Json() {
        return shiftTimeDown12Json;
    }

    public void setShiftTimeDown12Json(String shiftTimeDown12Json) {
        this.shiftTimeDown12Json = shiftTimeDown12Json;
    }

    public List<List<String>> getShiftTimeUp23() {
        return shiftTimeUp23;
    }

    public void setShiftTimeUp23(List<List<String>> shiftTimeUp23) {
        this.shiftTimeUp23 = shiftTimeUp23;
    }

    public String getShiftTimeUp23Json() {
        return shiftTimeUp23Json;
    }

    public void setShiftTimeUp23Json(String shiftTimeUp23Json) {
        this.shiftTimeUp23Json = shiftTimeUp23Json;
    }

    public List<List<String>> getShiftTimeDown23() {
        return shiftTimeDown23;
    }

    public void setShiftTimeDown23(List<List<String>> shiftTimeDown23) {
        this.shiftTimeDown23 = shiftTimeDown23;
    }

    public String getShiftTimeDown23Json() {
        return shiftTimeDown23Json;
    }

    public void setShiftTimeDown23Json(String shiftTimeDown23Json) {
        this.shiftTimeDown23Json = shiftTimeDown23Json;
    }

    public List<List<String>> getShiftTimeUp34() {
        return shiftTimeUp34;
    }

    public void setShiftTimeUp34(List<List<String>> shiftTimeUp34) {
        this.shiftTimeUp34 = shiftTimeUp34;
    }

    public String getShiftTimeUp34Json() {
        return shiftTimeUp34Json;
    }

    public void setShiftTimeUp34Json(String shiftTimeUp34Json) {
        this.shiftTimeUp34Json = shiftTimeUp34Json;
    }

    public List<List<String>> getShiftTimeDown34() {
        return shiftTimeDown34;
    }

    public void setShiftTimeDown34(List<List<String>> shiftTimeDown34) {
        this.shiftTimeDown34 = shiftTimeDown34;
    }

    public String getShiftTimeDown34Json() {
        return shiftTimeDown34Json;
    }

    public void setShiftTimeDown34Json(String shiftTimeDown34Json) {
        this.shiftTimeDown34Json = shiftTimeDown34Json;
    }

    public List<List<String>> getShiftTimeUp45() {
        return shiftTimeUp45;
    }

    public void setShiftTimeUp45(List<List<String>> shiftTimeUp45) {
        this.shiftTimeUp45 = shiftTimeUp45;
    }

    public String getShiftTimeUp45Json() {
        return shiftTimeUp45Json;
    }

    public void setShiftTimeUp45Json(String shiftTimeUp45Json) {
        this.shiftTimeUp45Json = shiftTimeUp45Json;
    }

    public List<List<String>> getShiftTimeDown45() {
        return shiftTimeDown45;
    }

    public void setShiftTimeDown45(List<List<String>> shiftTimeDown45) {
        this.shiftTimeDown45 = shiftTimeDown45;
    }

    public String getShiftTimeDown45Json() {
        return shiftTimeDown45Json;
    }

    public void setShiftTimeDown45Json(String shiftTimeDown45Json) {
        this.shiftTimeDown45Json = shiftTimeDown45Json;
    }

    public List<List<String>> getShiftTimeUp56() {
        return shiftTimeUp56;
    }

    public void setShiftTimeUp56(List<List<String>> shiftTimeUp56) {
        this.shiftTimeUp56 = shiftTimeUp56;
    }

    public String getShiftTimeUp56Json() {
        return shiftTimeUp56Json;
    }

    public void setShiftTimeUp56Json(String shiftTimeUp56Json) {
        this.shiftTimeUp56Json = shiftTimeUp56Json;
    }

    public List<List<String>> getShiftTimeDown56() {
        return shiftTimeDown56;
    }

    public void setShiftTimeDown56(List<List<String>> shiftTimeDown56) {
        this.shiftTimeDown56 = shiftTimeDown56;
    }

    public String getShiftTimeDown56Json() {
        return shiftTimeDown56Json;
    }

    public void setShiftTimeDown56Json(String shiftTimeDown56Json) {
        this.shiftTimeDown56Json = shiftTimeDown56Json;
    }

    public String getBrakeType() {
        return brakeType;
    }

    public void setBrakeType(String brakeType) {
        this.brakeType = brakeType;
    }

    public String getFrontLeftWheelBrakingTorque() {
        return frontLeftWheelBrakingTorque;
    }

    public void setFrontLeftWheelBrakingTorque(String frontLeftWheelBrakingTorque) {
        this.frontLeftWheelBrakingTorque = frontLeftWheelBrakingTorque;
    }

    public String getRearLeftWheelBrakingTorque() {
        return rearLeftWheelBrakingTorque;
    }

    public void setRearLeftWheelBrakingTorque(String rearLeftWheelBrakingTorque) {
        this.rearLeftWheelBrakingTorque = rearLeftWheelBrakingTorque;
    }

    public String getFrontRightWheelBrakingTorque() {
        return frontRightWheelBrakingTorque;
    }

    public void setFrontRightWheelBrakingTorque(String frontRightWheelBrakingTorque) {
        this.frontRightWheelBrakingTorque = frontRightWheelBrakingTorque;
    }

    public String getRearRightWheelBrakingTorque() {
        return rearRightWheelBrakingTorque;
    }

    public void setRearRightWheelBrakingTorque(String rearRightWheelBrakingTorque) {
        this.rearRightWheelBrakingTorque = rearRightWheelBrakingTorque;
    }

    public String getSteeringType() {
        return steeringType;
    }

    public void setSteeringType(String steeringType) {
        this.steeringType = steeringType;
    }

    public String getSteeringGearType() {
        return steeringGearType;
    }

    public void setSteeringGearType(String steeringGearType) {
        this.steeringGearType = steeringGearType;
    }

    public String getSteeringGearRatio() {
        return steeringGearRatio;
    }

    public void setSteeringGearRatio(String steeringGearRatio) {
        this.steeringGearRatio = steeringGearRatio;
    }

    public List<List<String>> getRelationCurveRightWheelAngleAndSteeringGearOutput() {
        return relationCurveRightWheelAngleAndSteeringGearOutput;
    }

    public void setRelationCurveRightWheelAngleAndSteeringGearOutput(List<List<String>> relationCurveRightWheelAngleAndSteeringGearOutput) {
        this.relationCurveRightWheelAngleAndSteeringGearOutput = relationCurveRightWheelAngleAndSteeringGearOutput;
    }

    public String getRelationCurveRightWheelAngleAndSteeringGearOutputJson() {
        return relationCurveRightWheelAngleAndSteeringGearOutputJson;
    }

    public void setRelationCurveRightWheelAngleAndSteeringGearOutputJson(String relationCurveRightWheelAngleAndSteeringGearOutputJson) {
        this.relationCurveRightWheelAngleAndSteeringGearOutputJson = relationCurveRightWheelAngleAndSteeringGearOutputJson;
    }

    public List<List<String>> getRelationCurveLeftWheelAngleAndSteeringGearOutput() {
        return relationCurveLeftWheelAngleAndSteeringGearOutput;
    }

    public void setRelationCurveLeftWheelAngleAndSteeringGearOutput(List<List<String>> relationCurveLeftWheelAngleAndSteeringGearOutput) {
        this.relationCurveLeftWheelAngleAndSteeringGearOutput = relationCurveLeftWheelAngleAndSteeringGearOutput;
    }

    public String getRelationCurveLeftWheelAngleAndSteeringGearOutputJson() {
        return relationCurveLeftWheelAngleAndSteeringGearOutputJson;
    }

    public void setRelationCurveLeftWheelAngleAndSteeringGearOutputJson(String relationCurveLeftWheelAngleAndSteeringGearOutputJson) {
        this.relationCurveLeftWheelAngleAndSteeringGearOutputJson = relationCurveLeftWheelAngleAndSteeringGearOutputJson;
    }

    public String getDriverType() {
        return driverType;
    }

    public void setDriverType(String driverType) {
        this.driverType = driverType;
    }

    public String getParFilePath() {
        return parFilePath;
    }

    public void setParFilePath(String parFilePath) {
        this.parFilePath = parFilePath;
    }

    @Override
    public String toString() {
        return "VehiclePO{" +
                "id='" + id + '\'' +
                ", vehicleName='" + vehicleName + '\'' +
                ", description='" + description + '\'' +
                ", vehicleType='" + vehicleType + '\'' +
                ", modelLabel='" + modelLabel + '\'' +
                ", share='" + share + '\'' +
                ", parameterType='" + parameterType + '\'' +
                ", vehicleCode='" + vehicleCode + '\'' +
                ", vehicleFrontView='" + vehicleFrontView + '\'' +
                ", vehicleTopView='" + vehicleTopView + '\'' +
                ", maxSpeed=" + maxSpeed +
                ", enginePower=" + enginePower +
                ", maxDeceleration=" + maxDeceleration +
                ", maxSteeringAngle=" + maxSteeringAngle +
                ", mass=" + mass +
                ", frontSurfaceEffective=" + frontSurfaceEffective +
                ", airDragCoefficient=" + airDragCoefficient +
                ", rollingResistanceCoefficient=" + rollingResistanceCoefficient +
                ", wheelDiameter=" + wheelDiameter +
                ", wheelDrive='" + wheelDrive + '\'' +
                ", overallEfficiency=" + overallEfficiency +
                ", frontDistance=" + frontDistance +
                ", rearDistance=" + rearDistance +
                ", leftDistance=" + leftDistance +
                ", rightDistance=" + rightDistance +
                ", heightDistance=" + heightDistance +
                ", wheelbase=" + wheelbase +
                ", wheelCenterToTop='" + wheelCenterToTop + '\'' +
                ", wheelCenterToGround='" + wheelCenterToGround + '\'' +
                ", centroidToFrontWheelCenter='" + centroidToFrontWheelCenter + '\'' +
                ", centroidToGround='" + centroidToGround + '\'' +
                ", sprungMass='" + sprungMass + '\'' +
                ", vehicleLength='" + vehicleLength + '\'' +
                ", vehicleWidth='" + vehicleWidth + '\'' +
                ", rotationalInertiaX='" + rotationalInertiaX + '\'' +
                ", rotationalInertiaY='" + rotationalInertiaY + '\'' +
                ", rotationalInertiaZ='" + rotationalInertiaZ + '\'' +
                ", frontLeftWheelEffectiveRollingRadius='" + frontLeftWheelEffectiveRollingRadius + '\'' +
                ", frontLeftWheelRollingResistanceCoefficient='" + frontLeftWheelRollingResistanceCoefficient + '\'' +
                ", frontLeftWheelFreeRadius='" + frontLeftWheelFreeRadius + '\'' +
                ", frontLeftWheelRelationCurvePositiveMomentAndSideslipAngle=" + frontLeftWheelRelationCurvePositiveMomentAndSideslipAngle +
                ", frontLeftWheelRelationCurvePositiveMomentAndSideslipAngleJson='" + frontLeftWheelRelationCurvePositiveMomentAndSideslipAngleJson + '\'' +
                ", frontLeftWheelRelationCurveLateralForceAndSideslipAngle=" + frontLeftWheelRelationCurveLateralForceAndSideslipAngle +
                ", frontLeftWheelRelationCurveLateralForceAndSideslipAngleJson='" + frontLeftWheelRelationCurveLateralForceAndSideslipAngleJson + '\'' +
                ", frontLeftWheelRelationCurveLongitudinalForceAndSideslipAngle=" + frontLeftWheelRelationCurveLongitudinalForceAndSideslipAngle +
                ", frontLeftWheelRelationCurveLongitudinalForceAndSideslipAngleJson='" + frontLeftWheelRelationCurveLongitudinalForceAndSideslipAngleJson + '\'' +
                ", rearLeftWheelEffectiveRollingRadius='" + rearLeftWheelEffectiveRollingRadius + '\'' +
                ", rearLeftWheelRollingResistanceCoefficient='" + rearLeftWheelRollingResistanceCoefficient + '\'' +
                ", rearLeftWheelFreeRadius='" + rearLeftWheelFreeRadius + '\'' +
                ", rearLeftWheelRelationCurvePositiveMomentAndSideslipAngle=" + rearLeftWheelRelationCurvePositiveMomentAndSideslipAngle +
                ", rearLeftWheelRelationCurvePositiveMomentAndSideslipAngleJson='" + rearLeftWheelRelationCurvePositiveMomentAndSideslipAngleJson + '\'' +
                ", rearLeftWheelRelationCurveLateralForceAndSideslipAngle=" + rearLeftWheelRelationCurveLateralForceAndSideslipAngle +
                ", rearLeftWheelRelationCurveLateralForceAndSideslipAngleJson='" + rearLeftWheelRelationCurveLateralForceAndSideslipAngleJson + '\'' +
                ", rearLeftWheelRelationCurveLongitudinalForceAndSideslipAngle=" + rearLeftWheelRelationCurveLongitudinalForceAndSideslipAngle +
                ", rearLeftWheelRelationCurveLongitudinalForceAndSideslipAngleJson='" + rearLeftWheelRelationCurveLongitudinalForceAndSideslipAngleJson + '\'' +
                ", frontRightWheelEffectiveRollingRadius='" + frontRightWheelEffectiveRollingRadius + '\'' +
                ", frontRightWheelRollingResistanceCoefficient='" + frontRightWheelRollingResistanceCoefficient + '\'' +
                ", frontRightWheelFreeRadius='" + frontRightWheelFreeRadius + '\'' +
                ", frontRightWheelRelationCurvePositiveMomentAndSideslipAngle=" + frontRightWheelRelationCurvePositiveMomentAndSideslipAngle +
                ", frontRightWheelRelationCurvePositiveMomentAndSideslipAngleJson='" + frontRightWheelRelationCurvePositiveMomentAndSideslipAngleJson + '\'' +
                ", frontRightWheelRelationCurveLateralForceAndSideslipAngle=" + frontRightWheelRelationCurveLateralForceAndSideslipAngle +
                ", frontRightWheelRelationCurveLateralForceAndSideslipAngleJson='" + frontRightWheelRelationCurveLateralForceAndSideslipAngleJson + '\'' +
                ", frontRightWheelRelationCurveLongitudinalForceAndSideslipAngle=" + frontRightWheelRelationCurveLongitudinalForceAndSideslipAngle +
                ", frontRightWheelRelationCurveLongitudinalForceAndSideslipAngleJson='" + frontRightWheelRelationCurveLongitudinalForceAndSideslipAngleJson + '\'' +
                ", rearRightWheelEffectiveRollingRadius='" + rearRightWheelEffectiveRollingRadius + '\'' +
                ", rearRightWheelRollingResistanceCoefficient='" + rearRightWheelRollingResistanceCoefficient + '\'' +
                ", rearRightWheelFreeRadius='" + rearRightWheelFreeRadius + '\'' +
                ", rearRightWheelRelationCurvePositiveMomentAndSideslipAngle=" + rearRightWheelRelationCurvePositiveMomentAndSideslipAngle +
                ", rearRightWheelRelationCurvePositiveMomentAndSideslipAngleJson='" + rearRightWheelRelationCurvePositiveMomentAndSideslipAngleJson + '\'' +
                ", rearRightWheelRelationCurveLateralForceAndSideslipAngle=" + rearRightWheelRelationCurveLateralForceAndSideslipAngle +
                ", rearRightWheelRelationCurveLateralForceAndSideslipAngleJson='" + rearRightWheelRelationCurveLateralForceAndSideslipAngleJson + '\'' +
                ", rearRightWheelRelationCurveLongitudinalForceAndSideslipAngle=" + rearRightWheelRelationCurveLongitudinalForceAndSideslipAngle +
                ", rearRightWheelRelationCurveLongitudinalForceAndSideslipAngleJson='" + rearRightWheelRelationCurveLongitudinalForceAndSideslipAngleJson + '\'' +
                ", frontWheelSuspensionType='" + frontWheelSuspensionType + '\'' +
                ", frontWheelSuspensionKinematicsCoefficient='" + frontWheelSuspensionKinematicsCoefficient + '\'' +
                ", frontWheelUnsprungMass='" + frontWheelUnsprungMass + '\'' +
                ", frontWheelTrackWidth='" + frontWheelTrackWidth + '\'' +
                ", rearWheelSuspensionType='" + rearWheelSuspensionType + '\'' +
                ", rearWheelSuspensionKinematicsCoefficient='" + rearWheelSuspensionKinematicsCoefficient + '\'' +
                ", rearWheelUnsprungMass='" + rearWheelUnsprungMass + '\'' +
                ", rearWheelTrackWidth='" + rearWheelTrackWidth + '\'' +
                ", windwardArea='" + windwardArea + '\'' +
                ", airDensity='" + airDensity + '\'' +
                ", engineCrankshaftMomentInertia='" + engineCrankshaftMomentInertia + '\'' +
                ", idleSpeed='" + idleSpeed + '\'' +
                ", relationCurveEngineTorqueSpeedAndThrottleOpening=" + relationCurveEngineTorqueSpeedAndThrottleOpening +
                ", relationCurveEngineTorqueSpeedAndThrottleOpeningJson='" + relationCurveEngineTorqueSpeedAndThrottleOpeningJson + '\'' +
                ", momentInertiaInputShaft='" + momentInertiaInputShaft + '\'' +
                ", momentInertiaOutputShaft='" + momentInertiaOutputShaft + '\'' +
                ", finalDriveRatio='" + finalDriveRatio + '\'' +
                ", transmissionEfficiency='" + transmissionEfficiency + '\'' +
                ", gearRatio=" + gearRatio +
                ", gearRatioJson='" + gearRatioJson + '\'' +
                ", inertia=" + inertia +
                ", inertiaJson='" + inertiaJson + '\'' +
                ", driving=" + driving +
                ", drivingJson='" + drivingJson + '\'' +
                ", coasting=" + coasting +
                ", coastingJson='" + coastingJson + '\'' +
                ", shiftTime='" + shiftTime + '\'' +
                ", shiftTimeUp12=" + shiftTimeUp12 +
                ", shiftTimeUp12Json='" + shiftTimeUp12Json + '\'' +
                ", shiftTimeDown12=" + shiftTimeDown12 +
                ", shiftTimeDown12Json='" + shiftTimeDown12Json + '\'' +
                ", shiftTimeUp23=" + shiftTimeUp23 +
                ", shiftTimeUp23Json='" + shiftTimeUp23Json + '\'' +
                ", shiftTimeDown23=" + shiftTimeDown23 +
                ", shiftTimeDown23Json='" + shiftTimeDown23Json + '\'' +
                ", shiftTimeUp34=" + shiftTimeUp34 +
                ", shiftTimeUp34Json='" + shiftTimeUp34Json + '\'' +
                ", shiftTimeDown34=" + shiftTimeDown34 +
                ", shiftTimeDown34Json='" + shiftTimeDown34Json + '\'' +
                ", shiftTimeUp45=" + shiftTimeUp45 +
                ", shiftTimeUp45Json='" + shiftTimeUp45Json + '\'' +
                ", shiftTimeDown45=" + shiftTimeDown45 +
                ", shiftTimeDown45Json='" + shiftTimeDown45Json + '\'' +
                ", shiftTimeUp56=" + shiftTimeUp56 +
                ", shiftTimeUp56Json='" + shiftTimeUp56Json + '\'' +
                ", shiftTimeDown56=" + shiftTimeDown56 +
                ", shiftTimeDown56Json='" + shiftTimeDown56Json + '\'' +
                ", brakeType='" + brakeType + '\'' +
                ", frontLeftWheelBrakingTorque='" + frontLeftWheelBrakingTorque + '\'' +
                ", rearLeftWheelBrakingTorque='" + rearLeftWheelBrakingTorque + '\'' +
                ", frontRightWheelBrakingTorque='" + frontRightWheelBrakingTorque + '\'' +
                ", rearRightWheelBrakingTorque='" + rearRightWheelBrakingTorque + '\'' +
                ", steeringType='" + steeringType + '\'' +
                ", steeringGearType='" + steeringGearType + '\'' +
                ", steeringGearRatio='" + steeringGearRatio + '\'' +
                ", relationCurveRightWheelAngleAndSteeringGearOutput=" + relationCurveRightWheelAngleAndSteeringGearOutput +
                ", relationCurveRightWheelAngleAndSteeringGearOutputJson='" + relationCurveRightWheelAngleAndSteeringGearOutputJson + '\'' +
                ", relationCurveLeftWheelAngleAndSteeringGearOutput=" + relationCurveLeftWheelAngleAndSteeringGearOutput +
                ", relationCurveLeftWheelAngleAndSteeringGearOutputJson='" + relationCurveLeftWheelAngleAndSteeringGearOutputJson + '\'' +
                ", driverType='" + driverType + '\'' +
                ", parFilePath='" + parFilePath + '\'' +
                ", createTime=" + createTime +
                ", modifyTime=" + modifyTime +
                ", createUserId='" + createUserId + '\'' +
                ", modifyUserId='" + modifyUserId + '\'' +
                ", isDeleted='" + isDeleted + '\'' +
                '}';
    }
}
